operator+=
Prev | Chapter 13. Db_vector_iterator | Next

## operator+=

### Function Details

    const self& operator+=(difference_type n)

Move this iterator backward by n elements.

#### Parameters

##### n

The amount and direction of movement. If negative, will move forward by |n| element.

#### Return Value

Reference to this iterator at new position.

#### See Also

db_vector_base_iterator::operator+=(difference_type n)

### Group: Iterator movement operators.

These functions have identical behaviors and semantics as those of db_vector_base_iterator , so please refer to equivalent in that class.

### Class

db_vector_iterator

Prev | Up | Next
operator+ | Home | operator-